Index: kernel/generic/src/adt/btree.c
===================================================================
--- kernel/generic/src/adt/btree.c	(revision e3ee9b996fb2779383344347bf7f08c9b77e82f7)
+++ kernel/generic/src/adt/btree.c	(revision bd11d3e61f28b76b32ae485033f9c0a9e0c0720c)
@@ -53,4 +53,5 @@
 #include <panic.h>
 #include <print.h>
+#include <trace.h>
 
 static slab_cache_t *btree_node_slab;
@@ -79,5 +80,5 @@
  *
  */
-static void node_initialize(btree_node_t *node)
+NO_TRACE static void node_initialize(btree_node_t *node)
 {
 	unsigned int i;
@@ -118,5 +119,5 @@
  *
  */
-static void btree_destroy_subtree(btree_node_t *root)
+NO_TRACE static void btree_destroy_subtree(btree_node_t *root)
 {
 	size_t i;
@@ -151,6 +152,6 @@
  *
  */
-static void node_insert_key_and_rsubtree(btree_node_t *node, btree_key_t key,
-    void *value, btree_node_t *rsubtree)
+NO_TRACE static void node_insert_key_and_rsubtree(btree_node_t *node,
+    btree_key_t key, void *value, btree_node_t *rsubtree)
 {
 	size_t i;
@@ -186,6 +187,6 @@
  *
  */
-static size_t find_key_by_subtree(btree_node_t *node, btree_node_t *subtree,
-    bool right)
+NO_TRACE static size_t find_key_by_subtree(btree_node_t *node,
+    btree_node_t *subtree, bool right)
 {
 	size_t i;
@@ -209,5 +210,6 @@
  *
  */
-static void node_remove_key_and_lsubtree(btree_node_t *node, btree_key_t key)
+NO_TRACE static void node_remove_key_and_lsubtree(btree_node_t *node,
+    btree_key_t key)
 {
 	size_t i;
@@ -242,5 +244,6 @@
  *
  */
-static void node_remove_key_and_rsubtree(btree_node_t *node, btree_key_t key)
+NO_TRACE static void node_remove_key_and_rsubtree(btree_node_t *node,
+    btree_key_t key)
 {
 	size_t i, j;
@@ -273,6 +276,6 @@
  *
  */
-static void node_insert_key_and_lsubtree(btree_node_t *node, btree_key_t key,
-    void *value, btree_node_t *lsubtree)
+NO_TRACE static void node_insert_key_and_lsubtree(btree_node_t *node,
+    btree_key_t key, void *value, btree_node_t *lsubtree)
 {
 	size_t i;
@@ -313,5 +316,6 @@
  *
  */
-static void rotate_from_left(btree_node_t *lnode, btree_node_t *rnode, size_t idx)
+NO_TRACE static void rotate_from_left(btree_node_t *lnode, btree_node_t *rnode,
+    size_t idx)
 {
 	btree_key_t key = lnode->key[lnode->keys - 1];
@@ -348,5 +352,6 @@
  *
  */
-static void rotate_from_right(btree_node_t *lnode, btree_node_t *rnode, size_t idx)
+NO_TRACE static void rotate_from_right(btree_node_t *lnode, btree_node_t *rnode,
+    size_t idx)
 {
 	btree_key_t key = rnode->key[0];
@@ -385,5 +390,5 @@
  *
  */
-static bool try_insert_by_rotation_to_left(btree_node_t *node,
+NO_TRACE static bool try_insert_by_rotation_to_left(btree_node_t *node,
     btree_key_t inskey, void *insvalue, btree_node_t *rsubtree)
 {
@@ -434,5 +439,5 @@
  *
  */
-static bool try_insert_by_rotation_to_right(btree_node_t *node,
+NO_TRACE static bool try_insert_by_rotation_to_right(btree_node_t *node,
     btree_key_t inskey, void *insvalue, btree_node_t *rsubtree)
 {
@@ -488,5 +493,5 @@
  *
  */
-static btree_node_t *node_split(btree_node_t *node, btree_key_t key,
+NO_TRACE static btree_node_t *node_split(btree_node_t *node, btree_key_t key,
     void *value, btree_node_t *rsubtree, btree_key_t *median)
 {
@@ -552,5 +557,5 @@
  *
  */
-static void _btree_insert(btree_t *t, btree_key_t key, void *value,
+NO_TRACE static void _btree_insert(btree_t *t, btree_key_t key, void *value,
     btree_node_t *rsubtree, btree_node_t *node)
 {
@@ -639,5 +644,5 @@
  *
  */
-static bool try_rotation_from_left(btree_node_t *rnode)
+NO_TRACE static bool try_rotation_from_left(btree_node_t *rnode)
 {
 	size_t idx;
@@ -676,5 +681,5 @@
  *
  */
-static bool try_rotation_from_right(btree_node_t *lnode)
+NO_TRACE static bool try_rotation_from_right(btree_node_t *lnode)
 {
 	size_t idx;
@@ -714,5 +719,5 @@
  *
  */
-static btree_node_t *node_combine(btree_node_t *node)
+NO_TRACE static btree_node_t *node_combine(btree_node_t *node)
 {
 	size_t idx;
@@ -764,5 +769,6 @@
  *
  */
-static void _btree_remove(btree_t *t, btree_key_t key, btree_node_t *node)
+NO_TRACE static void _btree_remove(btree_t *t, btree_key_t key,
+    btree_node_t *node)
 {
 	if (ROOT_NODE(node)) {
